<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentacarAdditionalElements StructType
 * @subpackage Structs
 */
class JP_RentacarAdditionalElements extends AbstractStructBase
{
    /**
     * The CarSupplements
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CarSupplement
     */
    public $CarSupplements;
    /**
     * The CarFees
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CarFee
     */
    public $CarFees;
    /**
     * Constructor method for JP_RentacarAdditionalElements
     * @uses JP_RentacarAdditionalElements::setCarSupplements()
     * @uses JP_RentacarAdditionalElements::setCarFees()
     * @param \ArrayType\ArrayOfJP_CarSupplement $carSupplements
     * @param \ArrayType\ArrayOfJP_CarFee $carFees
     */
    public function __construct(\ArrayType\ArrayOfJP_CarSupplement $carSupplements = null, \ArrayType\ArrayOfJP_CarFee $carFees = null)
    {
        $this
            ->setCarSupplements($carSupplements)
            ->setCarFees($carFees);
    }
    /**
     * Get CarSupplements value
     * @return \ArrayType\ArrayOfJP_CarSupplement|null
     */
    public function getCarSupplements()
    {
        return $this->CarSupplements;
    }
    /**
     * Set CarSupplements value
     * @param \ArrayType\ArrayOfJP_CarSupplement $carSupplements
     * @return \StructType\JP_RentacarAdditionalElements
     */
    public function setCarSupplements(\ArrayType\ArrayOfJP_CarSupplement $carSupplements = null)
    {
        $this->CarSupplements = $carSupplements;
        return $this;
    }
    /**
     * Get CarFees value
     * @return \ArrayType\ArrayOfJP_CarFee|null
     */
    public function getCarFees()
    {
        return $this->CarFees;
    }
    /**
     * Set CarFees value
     * @param \ArrayType\ArrayOfJP_CarFee $carFees
     * @return \StructType\JP_RentacarAdditionalElements
     */
    public function setCarFees(\ArrayType\ArrayOfJP_CarFee $carFees = null)
    {
        $this->CarFees = $carFees;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_RentacarAdditionalElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
